
#include "generic.h"

static const char TITLE[] = "Alcatel Speed Touch USB ADSL modem";
static const char CONFIG[] = "speed_touch";
static const char LINK[] = "/dev/net/speed_touch";


extern "C" _EXPORT BNetDevice * open_device
	(
	const char *	device
	)
{
	GenericDevice *	dev;

	dev = new GenericDevice();
	if ( dev->Start( device ) < B_NO_ERROR )
		{
		delete dev;
		return ( NULL );
		};

	return ( dev );
}

extern "C" _EXPORT BNetConfig * open_config
	(
	const char *	device
	)
{
	return ( new GenericConfig( TITLE, CONFIG, LINK ) );
}

